#include <Servo.h>

String rx;
byte id_pot=0;
int srv[4]={90,90,90,90};
int joy[4]={0,0,0,0};

Servo sg90[4];

void setup() {
  Serial.begin(9600);
  pinMode(2,OUTPUT);
  digitalWrite(2,0);
  sg90[0].attach(A0);
  sg90[1].attach(A1);
  sg90[2].attach(6);
  sg90[3].attach(9);
  while (Serial.read()!=10);
}

void loop() {
  while (!Serial.available());
  delay(100);
  while (Serial.available())
  {
    char c=Serial.read();
    if ((c>='0') && (c<='9'))
      rx+=c;
    else
    if ((c=='-') && (rx==""))
      rx="-";
    else
    {
      if ((rx!="") && (id_pot<4))
      {
        joy[id_pot++]=rx.toInt();
        rx="";
      }
      if (c==10)
      {
        id_pot=0;
        rx="";
      }
    }
  }
  for (int i=0; i<4; i++)
  {
    srv[i]+=joy[i];
    if (srv[i]<0) srv[i]=0;
    if (srv[i]>180) srv[i]=180;
    sg90[i].write(srv[i]);
  }
}
